X2Go Bug report logs - #618
KDE panel and LXDE panel are hidden after login to x2go session

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: akik@iki.fi

Date: Tue, 23 Sep 2014 19:45:02 UTC

Severity: normal

Tags: build-win32, fixed, fixed-upstream, pending

Fixed in version 3.5.99.7

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#618; Package x2goagent. (Tue, 23 Sep 2014 19:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to akik@iki.fi:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 23 Sep 2014 19:45:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Aki Ketolainen <akik@iki.fi>
To: submit@bugs.x2go.org
Subject: KDE panel and LXDE panel are hidden after login to x2go session
Date: Tue, 23 Sep 2014 22:44:19 +0300
Package: x2goagent
Version: 2:3.5.0.27-0~446~ubuntu14.04.1

Package: x2goserver
Version: 4.0.1.15-0~847~ubuntu14.04.1

Package: x2goserver-extensions
Version: 4.0.1.15-0~847~ubuntu14.04.1

Package: x2goclient
Version: 4.0.2.1+hotfix1+build4

Server = Ubuntu 14.04.1 LTS (x86)
Client = Windows 8.1 (x86_64)

After logging into x2go Server, I see either KDE or LXDE start up, as
configured.

Start up finishes but the panel in either KDE or LXDE is not shown.

I press Alt+F2 to open the 'Run' application and start xterm.

I run 'xrandr -s 1280x720', the x2go/X11 window size changes OK and
the menu in either KDE or LXDE shows up automatically.

I saw that someone had ran into this bug in 2012:

    http://readlist.com/lists/gentoo.org/gentoo-user/33/169010.html

but there was just a temporary resolution to the problem.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#618; Package x2goagent. (Wed, 24 Sep 2014 08:10:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 24 Sep 2014 08:10:02 GMT) Full text and rfc822 format available.

Message #10 received at 618@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Aki Ketolainen <akik@iki.fi>, 618@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#618: KDE panel and LXDE panel are hidden after login to x2go session
Date: Wed, 24 Sep 2014 08:05:40 +0000
[Message part 1 (text/plain, inline)]
Control: reassign -1 x2goclient
Control: tag -1 build-win32

Hi Aki, hi Michael (our X2Go Client maintainer for Windows),

On  Di 23 Sep 2014 21:44:19 CEST, Aki Ketolainen wrote:

> Package: x2goagent
> Version: 2:3.5.0.27-0~446~ubuntu14.04.1
>
> Package: x2goserver
> Version: 4.0.1.15-0~847~ubuntu14.04.1
>
> Package: x2goserver-extensions
> Version: 4.0.1.15-0~847~ubuntu14.04.1
>
> Package: x2goclient
> Version: 4.0.2.1+hotfix1+build4
>
> Server = Ubuntu 14.04.1 LTS (x86)
> Client = Windows 8.1 (x86_64)
>
> After logging into x2go Server, I see either KDE or LXDE start up, as
> configured.
>
> Start up finishes but the panel in either KDE or LXDE is not shown.
>
> I press Alt+F2 to open the 'Run' application and start xterm.
>
> I run 'xrandr -s 1280x720', the x2go/X11 window size changes OK and
> the menu in either KDE or LXDE shows up automatically.
>
> I saw that someone had ran into this bug in 2012:
>
>     http://readlist.com/lists/gentoo.org/gentoo-user/33/169010.html
>
> but there was just a temporary resolution to the problem.

@Mike#2: I presume this issue is buried in X2Go Client for Windows  
somewhere... Right?

It is known that KDE and LXDE have problems with resize events on X2Go  
session creation. I guess that the "maxmized" window has to subtract  
the Windows taskbar from the window height when launching the session.  
(Just an innocent idea without having looked at the code more  
thoroughly).

Thanks+Greets,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package 'x2goagent' to 'x2goclient'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 618-submit@bugs.x2go.org. (Wed, 24 Sep 2014 08:10:02 GMT) Full text and rfc822 format available.

No longer marked as found in versions 2:3.5.0.27-0~446~ubuntu14.04.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 618-submit@bugs.x2go.org. (Wed, 24 Sep 2014 08:10:02 GMT) Full text and rfc822 format available.

Added tag(s) build-win32. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 618-submit@bugs.x2go.org. (Wed, 24 Sep 2014 08:10:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#618; Package x2goclient. (Wed, 24 Sep 2014 16:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to akik@iki.fi:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 24 Sep 2014 16:30:02 GMT) Full text and rfc822 format available.

Message #21 received at 618@bugs.x2go.org (full text, mbox):

From: Aki Ketolainen <akik@iki.fi>
To: 618@bugs.x2go.org
Subject: Re: KDE panel and LXDE panel are hidden after login to x2go session
Date: Wed, 24 Sep 2014 19:29:46 +0300
An update to this problem;

It looks like the panel is missing after login only for the windowed session.

In full screen session, I can see the panel after login.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#618; Package x2goclient. (Wed, 24 Sep 2014 19:15:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 24 Sep 2014 19:15:01 GMT) Full text and rfc822 format available.

Message #26 received at 618@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Aki Ketolainen <akik@iki.fi>, 618@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#618: KDE panel and LXDE panel are hidden after login to x2go session
Date: Wed, 24 Sep 2014 19:12:50 +0000
[Message part 1 (text/plain, inline)]
Hi Aki,

On  Mi 24 Sep 2014 18:29:46 CEST, Aki Ketolainen wrote:

> An update to this problem;
>
> It looks like the panel is missing after login only for the windowed session.
>
> In full screen session, I can see the panel after login.

What are the exact settings in the session profile? Of interest are  
the display settings.

Please send an (obfuscated, if necessary) screenshot

Thanks,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#618; Package x2goclient. (Thu, 25 Sep 2014 16:10:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to akik@iki.fi:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 25 Sep 2014 16:10:02 GMT) Full text and rfc822 format available.

Message #31 received at 618@bugs.x2go.org (full text, mbox):

From: Aki Ketolainen <akik@iki.fi>
To: 618@bugs.x2go.org
Subject: Re: KDE panel and LXDE panel are hidden after login to x2go session
Date: Thu, 25 Sep 2014 19:09:11 +0300
I doubt they will help much but here they are:

http://i.imgur.com/syHOP8S.png
http://i.imgur.com/fhCvl9I.png
http://i.imgur.com/NY5hATx.png

--
Aki

P.S. It is very nice that you're actively developing x2go. We're using freenx
but I think its development has ended.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#618; Package x2goclient. (Thu, 25 Sep 2014 16:25:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to akik@iki.fi:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 25 Sep 2014 16:25:02 GMT) Full text and rfc822 format available.

Message #36 received at 618@bugs.x2go.org (full text, mbox):

From: Aki Ketolainen <akik@iki.fi>
To: 618@bugs.x2go.org
Subject: Re: KDE panel and LXDE panel are hidden after login to x2go session
Date: Thu, 25 Sep 2014 19:22:21 +0300
I noticed that even if I set the Settings/Display to (X) Maximum
available, the setting
was automatically changed to (x) Custom Width: 1366 Height 768 after logout.
1366x768 is my laptop's maximum resolution.

--
Aki


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#618; Package x2goclient. (Thu, 25 May 2017 21:05:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 25 May 2017 21:05:01 GMT) Full text and rfc822 format available.

Message #41 received at 618@bugs.x2go.org (full text, mbox):

From: Mike DePaulo <mikedep333@gmail.com>
To: 618@bugs.x2go.org
Subject: nx-libs 3.6 beta fixes this
Date: Thu, 25 May 2017 17:01:20 -0400
[Message part 1 (text/plain, inline)]
FYI, this problem goes away when the server is upgraded to nx-libs 3.6
beta. Tested with nx-libs 3.5.99.4 & 3.5.99.7 on RHEL 7.3.
https://copr.fedorainfracloud.org/coprs/mikedep333/nx-libs-3.6/
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#618; Package x2goclient. (Mon, 29 May 2017 08:50:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 29 May 2017 08:50:03 GMT) Full text and rfc822 format available.

Message #46 received at 618@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Mike DePaulo <mikedep333@gmail.com>, 618@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#618: nx-libs 3.6 beta fixes this
Date: Mon, 29 May 2017 08:49:28 +0000
[Message part 1 (text/plain, inline)]
Control: tags -1 pending
Control: tags -1 fixed-upstream
Control: tags -1 fixed 3.5.99.7

On  Do 25 Mai 2017 23:01:20 CEST, Mike DePaulo wrote:

> FYI, this problem goes away when the server is upgraded to nx-libs 3.6
> beta. Tested with nx-libs 3.5.99.4 & 3.5.99.7 on RHEL 7.3.
> https://copr.fedorainfracloud.org/coprs/mikedep333/nx-libs-3.6/

Tagging this bug accordingly.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

[Message part 2 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 618-submit@bugs.x2go.org. (Mon, 29 May 2017 08:50:04 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 618-submit@bugs.x2go.org. (Mon, 29 May 2017 08:50:04 GMT) Full text and rfc822 format available.

Added tag(s) fixed. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 618-submit@bugs.x2go.org. (Mon, 29 May 2017 08:50:04 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#618; Package x2goclient. (Mon, 29 May 2017 20:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 29 May 2017 20:00:02 GMT) Full text and rfc822 format available.

Message #57 received at 618@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 618@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#618: Bug#618: nx-libs 3.6 beta fixes this
Date: Mon, 29 May 2017 19:58:24 +0000
[Message part 1 (text/plain, inline)]
Control: fixed -1 3.5.99.7

On  Mo 29 Mai 2017 10:49:28 CEST, Mike Gabriel wrote:

> Control: tags -1 fixed 3.5.99.7

The above control command was non-sense...

Fixing it with this mail.
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

[Digitale_PGP_Signatur (application/pgp-signature, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Marked as fixed in versions 3.5.99.7. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 618-submit@bugs.x2go.org. (Mon, 29 May 2017 20:00:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#618; Package x2goclient. (Thu, 12 Oct 2017 13:20:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Τριανταφυλλιά Άννα Καττούλα <tkattoula@culture.gr>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 12 Oct 2017 13:20:04 GMT) Full text and rfc822 format available.

Message #64 received at 618@bugs.x2go.org (full text, mbox):

From: Τριανταφυλλιά Άννα Καττούλα <tkattoula@culture.gr>
To: "IN@TUG.NET" <IN@TUG.NET>
Subject: RE: Very Urgent
Date: Thu, 12 Oct 2017 13:10:05 +0000
[Message part 1 (text/plain, inline)]

Complement of the season, I wish to inform you about an urgent Transaction I have for you.
For more details, Please contact my private Gmail: mrsamychan6@gmail.com

Best Regards,

Mrs Amy Chan.


[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#618; Package x2goclient. (Thu, 12 Oct 2017 13:25:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Τριανταφυλλιά Άννα Καττούλα <tkattoula@culture.gr>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 12 Oct 2017 13:25:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Dec 13 14:05:22 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.